#include "../hardware.h"
static const char PROGMEM name_uart1[] = "uart1";
static const char PROGMEM unknown[] = "?";

#define NUM_DEVICES 1
static const void* PROGMEM const tbl[]={
	&_uart1, name_uart1
	};

const char* getDeviceName(const void* device){
	const char* rtn = unknown;
	for(int i=0 ; i<NUM_DEVICES*2; i+=2){
		const void* addr = (const void*)pgm_read_word(&tbl[i]);
		if( addr == device){
			rtn = (const void*)pgm_read_word(&tbl[i+1]);
		}
	}
	return rtn;
}
